Page 2 of 2

Re: Gambas for Puppy-Linux

Posted: Monday 13th February 2017 10:38am
by casperl
Some feedback: I downloaded iso for slacko 6.3.2 and it was impressive. Could download and install Gambas3 right away. Verdict is that it is extremely fast with a low memory & resources usage.

However.... Virtualbox + Puppy = Not a seamless experience. (Say no more.)

I have some <very old and one recent> Linux boxen that have not been switched on for year(s). I am motivated to install puppy on them and bring those PC's back to life. This is an ideal environment on which someone can be introduced to (or learn) programming.

Re: Gambas for Puppy-Linux

Posted: Monday 13th February 2017 7:04pm
by didier18
Hello casperl

Thank you for the feedback and feedback ...

The speed of "puppy-linux" is that it is fully loaded in RAM (which is faster than on the HDD).

The use by Virtualbox is possible (for tests), but I dislike it in normal use. You also found that the speed performance was mediocre with Virtualbox ...

In general we install puppy-linux on a USB key, but it is possible to install it on the HDD, on an SDCard or even not to install it but to start on a LiveCD.

I personally installed "ToOpPy V2.2 specifies 3.14.55" on a 64GB SDCard (which is more than enough) to store the backup file and various .sfs archives.
I noticed that in use the SDCard was faster than a USB key (but this is probably the transfer rate (45Mb / s)).

In general, it is advisable to have at least 512MB of RAM on the old PCs for the puppy-linux to function correctly, but some managed to operate with only 256MB ...

Have a good day.

Re: Gambas for Puppy-Linux

Posted: Saturday 11th November 2017 1:46am
by JFB
@didier18 (or anyone who knows the answer). I have been using Tahrpup 6.0.5 for about four weeks. So I'm still learning the Puppy way. I downloaded Gambas3_3.9.2.sfs and tried to install/load it with SFS-Load on-the-fly. I got the following error message:
fatal:Failed to append '/initrd/pup_ro4' to unionfs
Of course I don't know what this means (other than the install failed), could you please tell me how to fix this... Thanks...

Re: Gambas for Puppy-Linux

Posted: Saturday 11th November 2017 10:20am
by didier18
Hello

Apparently this is a mount point that was not done properly ... The ".sfs" archive must be present on the session mount.

It seems to me that tahrpup 6.0.5 is a 64Bit version (check) ...
It is therefore necessary to use the ".sfs" corresponding to this version, that is to say gambas3_3.3.9.2_amd64.sfs that you will be able to find here.

If the tahrpup version is 32Bit, you can also try to load the latest version that I recompiled gambas3_3.10.0.sfs that you will find here.

This version works under tooppy v2.2, triton (latest version that uses tahr 6.0.5) and can be under tahrpup (I have not tested).

NB: You have to load the devx corresponding to the distribution, otherwise you will not have access to GNU tools.

have a good day

Re: Gambas for Puppy-Linux

Posted: Saturday 11th November 2017 9:38pm
by jornmo
JFB!! Hi! What a missing! Glad to have you back :D

Re: Gambas for Puppy-Linux

Posted: Sunday 19th November 2017 1:05pm
by didier18
Hello JFB

Did you manage to install gambas3 on tahrpup 6.0.5?

I just tried with a session mounted from a CD-ROM and everything is ok (see screenshot).
I do not know if you used a PAE or NO PAE version ...
So I took the lowest version (NO PAE) to do the test.

Have a good day.

Re: Gambas for Puppy-Linux

Posted: Tuesday 10th April 2018 10:24pm
by didier18
Hello

I just finished compiling and uploading gambas3_3.10.0_amd64.sfs.
These are the packages available in launchpad.net for "precise" versions.

You can download this version here ->download gambas3_3.10.0_amd64.sfs (click on me)

This archive is compatible with :
Tahr64_6.0.5.

Have a nice day

Re: Gambas for Puppy-Linux

Posted: Thursday 17th May 2018 2:06pm
by didier18
Hello

The new version of gambas3_3.11.2 in".sfs" format (click on me) is available in 32Bit and 64Bit.

Have a nice day.

Re: Gambas for Puppy-Linux

Posted: Sunday 02nd September 2018 1:24pm
by didier18
Hello

The new version of gambas3_3.11.4 in".sfs" format (click on me) is available in 32Bit and 64Bit.

Have a nice day.

Re: Gambas for Puppy-Linux

Posted: Wednesday 10th October 2018 9:03am
by didier18
---en---
Hello.

A version of gambas3_3.11.4_bionic_amd64.sfs (click on me) is available...
As indicated in the file name, this version is compatible with 64Bit bionic puppy-linux distributions such as the Bionicpup64 (click on me)...

Have a good day.

---fr---
Bonjour

Une version de gambas3_3.11.4_bionic_amd64.sfs (cliquer sur moi) est disponible...
Comme indiqué dans le nom du fichier, cette version est compatible avec les distributions puppy-linux 64Bit bionic comme par exemple la Bionicpup64 (cliquer sur moi)...

Bonne journée.